> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-downloads/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-downloads/products/areas-and-zones-portfolio/boundary-line/boundary-line-technical-specification/gml.md).

# GML

Boundary-Line layers are supplied in Geography Markup Language (GML) v.3.2.1.

GML is based on XML (eXtensible Mark-up Language) and an understanding of the [XML schema](https://www.w3schools.com/xml/schema_intro.asp) will be helpful in understanding the GML format.

{% hint style="info" %}
See the following Geography Markup Language v3.2.1 [OpenGIS® Geography Markup Language (GML) Encoding Standard](https://portal.ogc.org/files/?artifact_id=20509) (PDF download) document by the Open Geospatial Consortium (OGC) for full details about GML.
{% endhint %}

Boundary-Line GML files are only created for the following layers:

* County
* District\_borough\_unitary
* Parish

## Schema overview and location <a href="#id-6.2-schema-overview-and-location" id="id-6.2-schema-overview-and-location"></a>

XML schemas are used to define and validate the format and content of the GML. The GML v.3.2.1 specification provides a set of schemas that define the GML feature constructs and geometric types. These are designed to be used as a basis for building application-specific schemas, which define the data content.

The `AdministrativeUnits.xsd` application schema which is referenced by the data, is available on the [INSPIRE website](https://inspire.ec.europa.eu/schemas/au/4.0/AdministrativeUnits.xsd). It imports the GML 3.2 schemas which rely on [XML as defined by W3C](https://www.w3.org/XML/1998/namespace.html).

Style sheets have been created and provided for Boundary-Line GML. You can find these in the Ordnance Survey GitHub repository at <https://github.com/OrdnanceSurvey/Boundary-Line-stylesheets>.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.os.uk/os-downloads/products/areas-and-zones-portfolio/boundary-line/boundary-line-technical-specification/gml.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
